use serde::Deserialize;

template_id!(SectionConfig u32 section_id);

#[derive(Deserialize, Debug)]
#[serde(rename_all = "PascalCase")]
pub struct SectionConfigTemplate {
    pub section_id: SectionConfigID,
    pub photo_name: String,
    pub name: String,
    pub primary_entry_name: String,
    pub secondary_entry_name: String,
    pub section_name: String,
}
